Subject: Re: [cl-debian] Bug#379350: Clisp can't find libraries like CL-PPCRE
From: René van Bevern <[email-masked]>
To: Ken Harris <[email-masked]>
Cc: [email-masked]
Date: Sun, 23 Jul 2006 11:46:01 +0200

"Ken Harris" <[email-masked]> writes:

Hello Ken,

> In SBCL, I can say (require :cl-ppcre) and it works.  In CLISP,
> however, it says "LOAD: A file with name CL-PPCRE does not exist".

The fact that (require :cl-ppcre) is not working in Clisp is not
actually a bug in Clisp, it is rather a feature of SBCL that allows us
to hook Common Lisp Controller into the require-mechansm of SBCL
easily.

> CL-PPCRE's webpage says it works under both SBCL and CLISP.  Nothing I
> can find has led me to believe that there's any reason Debian's CLISP
> wouldn't work with Debian's CL-PPCRE.

You load ASDF systems in general by the commands:

    (asdf:operate 'asdf:compile-op 'cl-ppcre)
    (asdf:operate 'asdf:load-op 'cl-ppcre)

The first thing being optional and done anway on SBCL. These commands
also work on SBCL.

Additionally, you can use the Common Lisp Controller on a
CLC-activated system like Debian or Gentoo:

              (clc:clc-require 'cl-ppcre)

> Other Lisp libraries I've tried, like (require :aserve), also work in
> SBCL but not CLISP.  (Portable Aserve, upstream, also claims to work
> with CLISP.)

You got to load it the right way. :-)

> Maybe I'm missing something crucial about how to load libraries

We have the wonderful ;-) Common Lisp in Debian Manual available, that
not only describes how to package Lisp libraries, but also tells you
how to use them: http://cl-debian.alioth.debian.org/clid/clid.html/

I hope my explanation is sufficient enough to you for me to close this
bug.

        René